import 'package:functions/src/core/data/models/entities/locate_device_request_entity.dart';
import 'package:functions/src/core/domain/repositories/functions_repository.dart';
import 'package:functions/src/features/locate_device/domain/locate_device_use_case.dart';

class LocateDeviceUseCaseImpl implements LocateDeviceUseCase {
  LocateDeviceUseCaseImpl(this._repository);

  final FunctionsRepository _repository;

  @override
  Future<void> locateDevice({required LocateDeviceRequestEntity request}) async {
    return _repository.locateDevice(request: request);
  }
}
